#!/usr/bin/env python
'''Concatenate FILE(s), or standard input, to standard output.'''

import os
import sys

import argparse

parser = argparse.ArgumentParser(prog='cat.py', description=__doc__)
parser.add_argument('FILE', type=file, nargs='*', default=sys.stdin)
parser.add_argument('-A', '--show-all', action='store_true',
                    help='equivalent to -vET')
parser.add_argument('-b', '--number-nonblank', action='store_true',
                    help='number nonempty output lines')
parser.add_argument('-e', action='store_true',
                    help='equivalent to -vE')
parser.add_argument('-E', '--show-ends', action='store_true',
                    help='display $ at end of each line')
parser.add_argument('-n', '--number', action='store_true',
                    help='number all output lines')
parser.add_argument('-s', '--squeeze-blank', action='store_true',
                    help='suppress repeated empty output lines')
parser.add_argument('-t', action='store_true',
                    help='equivalent to -vT')
parser.add_argument('-T', '--show-tabs', action='store_true',
                    help='display TAB characters as ^I')
parser.add_argument('-u', action='store_true',
                    help='(ignored)')
parser.add_argument('-v', '--show-nonprinting', action='store_true',
                    help='use ^ and M- notation, except for LFD and TAB')
                    
args = parser.parse_args()
